ibase_blob_open
ibase_commit_ret
Firebird/InterBase Functions
PHP Manual

# ibase_close

Close a connection to an InterBase database

### Description

bool ibase_close ([ resource `$connection_id` = `NULL` ] )

Closes the link to an InterBase database that's associated with a connection id returned from ibase_connect. Default transaction on link is committed, other transactions are rolled back.

### Parameters

`connection_id`

  An InterBase link identifier returned from ibase_connect. If omitted, the last opened link is assumed.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ibase_connect
- ibase_pconnect